Summary:	Small but quite featured IRC-bouncer
Summary(pl.UTF-8):	Mały, ale dobrze wyposażony ircowy bramkarz
Name:		miau
Version:	0.6.5
Release:	2
License:	GPL
Group:		Networking/Utilities
Source0:	http://dl.sourceforge.net/miau/%{name}-%{version}.tar.bz2
# Source0-md5:	cbce4182d66430a965a5fff26738ce3f
URL:		http://miau.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Miau is small but quite featured IRC-bouncer - a service a bit like
HTTP-proxy, but for IRC-networks.

The biggest difference of miau and HTTP-proxy (forgetting the fact
they talk all different protocols) is that when IRC-client disconnects
from bouncer, the connection to the server isn't necessarily lost.
This way your nick can stay online and cannot be taken by the others.
In case bouncer loses the nick because of netsplit or other
disruption, it can try to get it back automatically.

Some people may also like the fact that when using bouncer, your
hostname appearing in IRC is the one of the machine the bouncer is
running at, not the one you are IRCing from.

%description -l pl.UTF-8
Miau jest małym, lecz dobrze wyposażonym ircowym bramkarzem - usługą
podobną do proxy HTTP, ale do sieci IRC.

Największa różnica między proxy HTTP a miau (pomijając fakt, że to
zupełnie inne protokoły) to nietracenie połączenia do serwera po
odłączeniu się klienta od bramkarza. W ten sposób pseudonim dalej
istnieje na serwerze i nie może być zajęty przez inne osoby. W
przypadku stracenia pseudonimu przy netsplicie lub innych
zakłóceniach, miau będzie automatycznie próbował go odzyskać.

Niektórym może się również spodobać, że nazwa hosta pojawiająca się na
ircu nie jest nazwą maszyny z której się łączą, lecz nazwą maszyny na
której uruchomiony został bramkarz.

%prep
%setup -q

%build
%configure \
	--enable-dccbounce \
	--enable-automode \
	--enable-releasenick \
	--enable-ctcp-replies \
	--enable-mkpasswd \
	--enable-uptime \
	--enable-chanlog \
	--enable-privlog \
	--enable-onconnect \
	--enable-empty-awaymsg
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_docdir}/miau/examples/miaurc
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO misc/miaurc
%attr(755,root,root) %{_bindir}/*
%{_infodir}/*.info*
%{_mandir}/man1/miau.1*
%changelog
* Wed Feb 01 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/miau.git;a=log;h=master

* Wed Feb 01 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 6973434
- Release 2 (by relup.sh)

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 3017641
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Fri Jan 04 2008 zbyniu <zbyniu@pld-linux.org> 5da224a
- up to 0.6.5

* Fri May 11 2007 vip <vip@pld-linux.org> 455c12a
- up to 0.6.4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 47c3045
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> de9fc37
- converted to UTF-8

* Fri Jul 28 2006 Jakub Bogusz <qboosh@pld-linux.org> 8e23695
- _infodir macro

* Fri Jul 28 2006 Elan Ruusamäe <glen@pld-linux.org> 920f33f
- check-files cleanup

* Fri Jul 28 2006 vip <vip@pld-linux.org> 972f4a0
- up to 0.6.2

* Thu Jan 05 2006 wolf <wolf@pld-linux.org> acf805f
- 0.6.0.2

* Fri Dec 23 2005 wolf <wolf@pld-linux.org> 08db789
- 0.6.0

* Sun Jul 17 2005 Jakub Bogusz <qboosh@pld-linux.org> 51d2a4c
- don't assume gzipped manuals

* Sun Jul 17 2005 blekot <blekot@pld-linux.org> 154a436
- up to 0.5.4
- more files (man pages)

* Sat Jun 26 2004 Jakub Bogusz <qboosh@pld-linux.org> 24c454c
- typo, added URL, unified Source0 URL

* Fri Jun 25 2004 wolf <wolf@pld-linux.org> dce392a
- bleble

